unit LPMatxF;
                                            
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids,Matrix;

type
  TMatrixForm = class(TForm)
    LPGrid: TStringGrid;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure LoadMatrix(m : tMatrix);
    procedure View(m : tMatrix);
  end;

var
  MatrixForm: TMatrixForm;

procedure ShowMatrix(sender : tMatrix);

implementation

uses Rational;

{$R *.DFM}

procedure ShowMatrix(sender : tMatrix);
begin
  with tMatrixForm.Create(Application) do begin
    LoadMatrix(sender);
    show;
  end;
end;

procedure TMatrixForm.View(m : tMatrix);
begin
  LoadMatrix(m);
  ShowModal;
end;

procedure TMatrixForm.LoadMatrix(m : tMatrix);
var
  i,j : integer;
  str : String;
  w : integer;
begin
with LPGrid do begin
  ColCount := m.ColCount;
  RowCount := m.RowCount;
  for j := 0 to m.Maxj do begin
    w := 0;
    for i := 0 to m.Maxi do begin
      str := RationalToStr(m[i,j]);
      if w < Canvas.TextWidth(Str)+4 then  w := Canvas.TextWidth(Str)+4;
      Cells[j,i] := str;
    end;
    ColWidths[j] := w;
  end;
//  Caption := Caption+inttostr(m.Skip);
end;
end;


end.
